Subject: Owner-built composting toilets

From: [email-masked] (Mike Ablitt)
Date: Mon, 15 Apr 96 12:31:43 PST

Does anyone have experience with or designs for owner built composting toilets
		Thanks for any info. sent to this group or my e-mail at  [email-masked]
sent via UUCP from: Raven Net, Salt Spring Island, BC, Canada